<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

class IntDbleAuth extends AbsMail
{
    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Portail Utilisateur Oxalys : code d\'authentification @1@'),
            $this->listeData['TOKEN']
        );
    }

    public function getMessage() : string
    {
        return implode("\r\n", [
            Trad::strBuild($this->trad->t('Bonjour @1@,'), $this->listeData['NOM_UTILISATEUR']),
            '',
            Trad::strBuild(
                $this->trad->t('Votre code d\'authentification pour accéder au portail est le suivant : @1@.'),
                $this->listeData['TOKEN']
            ),
            $this->trad->t('Ce code expirera dans 6 minutes.'),
            $this->trad->t('Si vous n\'êtes pas à l\'origine de cette tentative de connexion, merci de contacter l\'administrateur du portail.')
        ]);
    }
}
